Description

To reproduce,

1. add a new parameter (e.g. global) with multiline value like

"-----BEGIN RSA PRIVATE KEY-----

....

...."

2. check hidden check box

3. uncheck it and see that all "\n" are gone

I suppose that's because a password field is used. I think original implementation handled this properly.

Related issues:

Related to Foreman - Bug #12938: Hiding a smart variable causes the value fie... Resolved 12/24/2015

Associated revisions

Revision 1dc0f39b - 05/06/2016 09:39 AM - Tomer Brisker

Fixes #13741 - Prevent hidden parameters from erasing newline

Switching the input from textarea to password leads to all newline

characters being stripped from the value. This PR attempts to prevent

this by changing the font of the textarea to a font that displays a

bullet instead of every character, thereby preventing the need to

change the input into a password field.

Revision ddf1410e - 05/23/2016 04:45 AM - Tomer Brisker

Refs #13741 - Hidden values use masked input for default value

This was missed in the pervious commit. Opening a hidden lookup key led

to the default value being displayed using a password input instead of

as a masked text area.

History

#1 - 05/02/2016 04:25 AM - Ori Rabin

- Status changed from New to Assigned

- Assignee set to Ori Rabin

#2 - 05/02/2016 04:41 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3485 added
#3 - 05/02/2016 06:07 AM - Ori Rabin

- Status changed from Ready For Testing to Assigned

- Pull request deleted (https://github.com/theforeman/foreman/pull/3485)

#4 - 05/05/2016 05:55 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3492 added

#5 - 05/05/2016 05:55 AM - Ori Rabin

- Assignee changed from Ori Rabin to Tomer Brisker

#6 - 05/06/2016 09:41 AM - Marek Hulán

- translation missing: en.field_release set to 136

#7 - 05/06/2016 10:03 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1dc0f39b856d261891ad2b50e6ab8ab4fae58f4a.

#8 - 05/08/2016 09:57 AM - Tomer Brisker

- Related to Bug #12938: Hiding a smart variable causes the value field to be filled by autofill with the user's password added

#9 - 05/23/2016 03:21 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3541 added
